## GtkHRuler GtkHRuler — A horizontal ruler |

## Functions

GtkWidget * | gtk_hruler_new ()

## Types and Values

struct | GtkHRuler

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkRuler
                        ╰── GtkHRuler

## Implemented Interfaces

GtkHRuler implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

This widget is considered too specialized/little-used for GTK+, and will be removed in GTK 3. If your application needs this widget, feel free to use it, as the widget is useful in some applications; it's just not of general interest. However, we are not accepting new features for the widget, and it will move out of the GTK+ distribution.

The HRuler widget is a widget arranged horizontally creating a ruler that is utilized around other widgets such as a text widget. The ruler is used to show the location of the mouse on the window and to show the size of the window in specified units. The available units of measurement are GTK_PIXELS, GTK_INCHES and GTK_CENTIMETERS. GTK_PIXELS is the default. rulers.

## Functions

### gtk_hruler_new ()

    GtkWidget *
    gtk_hruler_new (void);

`gtk_hruler_new` has been deprecated since version 2.24 and should not be used in newly-written code.

GtkRuler has been removed from GTK 3 for being unmaintained and too specialized. There is no replacement.

Creates a new horizontal ruler.

#### Returns

a new GtkHRuler.

## Types and Values

### struct GtkHRuler

    struct GtkHRuler;

`GtkHRuler` is deprecated and should not be used in newly-written code.

The GtkHRuler struct contains private data and should be accessed with the functions below.